<template>
  <!-- 客户收货信息页面 -->
   <div class="steel_inbound">
    <div class="sache">
      <el-input
        placeholder="请输入内容"
        v-model="input"
        clearable>
      </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
       <el-button type="primary" class="btn" @click="toInsert">
        <i class="el-icon-plus"></i>新增
      </el-button>
    </div>
    <div class="table">
      <dilTable v-bind.sync="option">
        <el-table-column fixed="right" label="操作" width="100">
          <template slot-scope="scope">
            <el-button
              type="text"
              size="small"
              @click="updateConsignee(scope.row.consigneeId)"
            >
              修改
            </el-button>
            <el-button
              type="text"
              size="mini"
              @click="deleteConsignee(scope)"
            >
              删除
            </el-button>
          </template>
        </el-table-column>
      </dilTable>
    </div>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/rms/getConsigneeList?apiId=407",
      },
    };
  },
  mounted() {
  },
  methods: {
    onclick() {
      this.option.requestUrl = "/api/v1/rms/getConsigneeList?apiId=407&con=" + this.input;
    },
    toInsert() {
      this.$router.push("/addConsignee");

    },
    updateConsignee(consigneeId){
      this.$router.push("/editConsignee/" + consigneeId)
    },
    deleteConsignee(scope){
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.axios
            .post("/api/v1/rms/deleteConsignee/" + scope.row.consigneeId)
            .then((res) => {
              if (res.data.code == 200) {
                this.$message({
                  type: "success",
                  message: "删除成功!",
                });     
                this.$router.go(0);
              } else {
                this.$message({
                  message: "删除失败",
                  type: "warning",
                });
              }
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "删除操作已取消!",
          });
        });
    },
  },
};
</script>
<style lang="scss" scode>
.steel_inbound{
  .sache{
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 1.25rem;
    }
  }
  }
</style>
